//
// Variables
//
@import "variables";

//
// Import needed Bootstrap Package Files
//
@import "../../../../../bootstrap_package/Resources/Public/Scss/Theme/theme";


//
// Typography
//
/*body{
  font-size: 1.2em
}
*/
h1,h2,h3,h4,h5,h6{
  font-family: 'Exo 2', sans-serif;
}
a:hover {
  text-decoration: none;
  color: $secondary;
}
footer h2{
  font-size:  $font-size-base * 1.04;
  font-weight: 600;
}
.footer-section-content-column-right ul{
  padding: 0px;
  list-style: none;
}

.footer-copyright{
  font-size: initial;
}

// markdown viwer

.frame-type-markdownparser_markdown code {
  background: #333f48;
  padding-left: .2em;
  padding-right: .2em;
  border-radius: .1em;
}
.frame-type-markdownparser_markdown code {
  font-size: 87.5%;
  color: #fff;
  word-break: break-word;
}

.frame-type-markdownparser_markdown>div>div>p:nth-child(2) a, .ce-markdown>div>p:nth-child(2) a {
  margin-right: .5rem!important;
}

//
// Main Navigation
//
.nav-link-text{
  font-family: 'Exo 2', sans-serif;
  font-weight: bold;
}

//
// Type: Call to Action
//
.carousel .carousel-item h1 {
  font-weight: 800;
}
.carousel .carousel-item h2 {
  font-weight: 600;
}

.carousel-item-type-call_to_action {
  .carousel-box {
	background-color: transparent;
	color: #fff;
	padding: 2rem;
	@include media-breakpoint-up(sm) {
	  max-width: 80%;
	}
  }
}

.carousel-item-button {
  color:#fff;
}

.avatar-fluid {
  max-width: 100%;
}

//
// Blog Categories List
//
.blogpost{
  height: 400px;
}

@media (min-width: 768px){
  .blogpost .frame-container {
	max-width: 708px;
  }
}

.categories {
  font-size: .875em;
  list-style: none;
  padding: 0;
  margin: 0;
  color: $primary;
}

.categories a {
  color: #333;
}
.categories a:hover {
  color: $primary;
}
.categories a:active {
  font-weight: bold;
}
.entry-meta-list{
  font-weight: bold ;
}

.shariff .orientation-horizontal li {
  border-radius: 5px;
}

.tx-blog-post-list .card {
  transition: transform .5s;

  &::after {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	transition: opacity 2s cubic-bezier(.165, .84, .44, 1);
	box-shadow: 0 8px 17px 0 rgba(0, 0, 0, .2), 0 6px 20px 0 rgba(0, 0, 0, .15);
	content: '';
	opacity: 0;
	z-index: -1;
  }

  &:hover,
  &:focus {
	transform: scale3d(1.006, 1.006, 1);

	&::after {
	  opacity: 1;
	}
  }
}
.author-box {
  color: #ffffff;
}
.list-author-box {
  color: $gray-900;
}
.author-box-intro {
  opacity: .75;
}

.author-name {
  font-family: 'Source Sans Pro', sans-serif;
  font-size: 0.92em;
  line-height: 1em;
  font-weight: 700;
}

.comment-avatar img {
  border-radius: 50%;
}

//
// Blog Author Social Links
//
.authorinfo{
  background-color:#88b04b;
  color:#333;
}
.authorsocials a{
color:#333;
}

.authorsocials a:hover{
  color:#fff;
}

@media (min-width: 576px){
  .card-deck .card {
	margin-bottom: 20px;
  }
}
.gallery-item img {
  width:auto;
}
// Customer Card
$color_dove_gray_approx: #6c6c6c;
$color_mine_shaft_approx: #333;
$white: #fff;
$black_10: rgba(0, 0, 0, .1);
$color_pizazz_approx: #f80;
.blockquote {
  margin-bottom: 1rem;
  font-size: 1.15rem;
  position: relative;
  border: 0;
  padding: 0;
  color: $color_mine_shaft_approx;
  background-color: $white;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  //Instead of the line below you could use @include box-shadow($shadow-1, $shadow-2, $shadow-3, $shadow-4, $shadow-5, $shadow-6, $shadow-7, $shadow-8, $shadow-9, $shadow-10)
  box-shadow: 0 0 2px 1px $black_10;
  //Instead of the line below you could use @include border-radius($radius, $vertical-radius)
  border-radius: 3px;
  > * {
	padding: 40px!important;
	margin: 0!important;
	+ :not(.blockquote-footer) {
	  margin-top: -40px!important;
	}
  }
}
.blockquote-footer {
  display: block;
  font-size: 80%;
  text-align: center;
  line-height: 1.25em;
  width: 100%;
  position: relative;
  align-self: flex-end;
  color: $white;
  background-color: $color_pizazz_approx;
  //Instead of the line below you could use @include border-radius($radius, $vertical-radius)
  border-radius: 0 0 3px 3px;
  &:before {
	display: none;
  }
  cite {
	font-style: normal;
  }
}
.blockquote-footer::before {
  content: "\2014\00A0";
}
.blockquote-group {
  position: relative;
  margin-left: -10px;
  margin-right: -10px;
  .blockquote {
	margin: 0;
  }
  &:focus {
	outline: 0;
  }
  &:hover {
	outline: 0;
  }
}
.blockquote-item {
  height: 100%;
  padding: 10px;
  .blockquote {
	font-size: 1rem;
	height: 100%;
  }
}
.blockquote-footer-authorimage {
  margin: -40px;
  margin-bottom: 1em;
  position: relative;
  height: 88px;
  &:before {
	content: '';
	position: absolute;
	background-color: $white;
	height: 50%;
	width: 100%;
	left: 0;
	top: 0;
  }
  img {
	background-color: $white;
	position: relative;
	margin: 0 auto;
	//Instead of the line below you could use @include border-radius($radius, $vertical-radius)
	border-radius: 50%;
	overflow: hidden;
	height: 88px;
	width: 88px;
	border: 4px solid $white;
  }
}
blockquote:not(.blockquote) {
  position: relative;
  border-left: none;
  padding-left: 25px;
  &:before {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 5px;
	background-color: currentColor;
	opacity: .125;
  }
}
